/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package gov.anl.aps.dm.portal.model.beans;

import gov.anl.aps.dm.portal.model.entities.ExperimentPolicyPropertyValue;
import java.util.List;
import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.NoResultException;
import javax.persistence.PersistenceContext;

/**
 *
 * @author bfrosik
 */
@Stateless
public class ExperimentPolicyPropertyValueDbFacade extends DmEntityDbFacade<ExperimentPolicyPropertyValue>
{

    @PersistenceContext(unitName = "DmWebPortalPU")
    private EntityManager em;

    @Override
    protected EntityManager getEntityManager() {
        return em;
    }

    public ExperimentPolicyPropertyValueDbFacade() {
        super(ExperimentPolicyPropertyValue.class);
    }
    
    public ExperimentPolicyPropertyValue findById(int id) {
        try {
            return (ExperimentPolicyPropertyValue) em.createNamedQuery("ExperimentPolicyPropertyValue.findById")
                    .setParameter("id", id)
                    .getSingleResult();
        }
        catch (NoResultException ex) {
        }
        return null;
    }
    
    public List<ExperimentPolicyPropertyValue> findByExperimentPolicyId(int id) {
        try {
            return (List<ExperimentPolicyPropertyValue>) em.createNamedQuery("ExperimentPolicyPropertyValue.findByExperimentPolicyId")
                    .setParameter("experimentPolicyId", id)
                    .getResultList();
        }
        catch (NoResultException ex) {
        }
        return null;
    }
        
}
