/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package gov.anl.aps.dm.portal.model.entities;

import java.util.Date;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;
import javax.validation.constraints.NotNull;
import javax.xml.bind.annotation.XmlRootElement;

/**
 *
 * @author sveseli
 */
@Entity
@Table(name = "users_last_update")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "UsersLastUpdate.findAll", query = "SELECT u FROM UsersLastUpdate u")
    , @NamedQuery(name = "UsersLastUpdate.findById", query = "SELECT u FROM UsersLastUpdate u WHERE u.id = :id")
    , @NamedQuery(name = "UsersLastUpdate.findByLastUpdate", query = "SELECT u FROM UsersLastUpdate u WHERE u.lastUpdate = :lastUpdate")})
public class UsersLastUpdate extends DmEntity {

    @Id
    @Basic(optional = false)
    @NotNull
    private Integer id;
    @Column(name = "last_update")
    @Temporal(TemporalType.DATE)
    private Date lastUpdate;

    public UsersLastUpdate() {
    }

    public UsersLastUpdate(Integer id) {
        this.id = id;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Date getLastUpdate() {
        return lastUpdate;
    }

    public void setLastUpdate(Date lastUpdate) {
        this.lastUpdate = lastUpdate;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (id != null ? id.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof UsersLastUpdate)) {
            return false;
        }
        UsersLastUpdate other = (UsersLastUpdate) object;
        if ((this.id == null && other.id != null) || (this.id != null && !this.id.equals(other.id))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "gov.anl.aps.dm.portal.model.entities2.UsersLastUpdate[ id=" + id + " ]";
    }
    
}
